List orders
GET
/api/subscriptions/orders
const url = 'https://api.usegro.co/api/subscriptions/orders?fulfillment_status=UNFULFILLED&sort_by=shopify_order_number&sort_order=asc';const options = { method: 'GET', headers: {Authorization: 'Bearer <token>', 'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.usegro.co/api/subscriptions/orders?fulfillment_status=UNFULFILLED&sort_by=shopify_order_number&sort_order=asc' \ --header 'Authorization: Bearer <token>' \ --header 'X-API-Key: <X-API-Key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”status
string
fulfillment_status
string
subscription_id
string
profile_id
string
entity_id
string
search
string
tracking_number
string
has_subscription
boolean
delivery_date_from
string
delivery_date_to
string
billing_date_from
string
billing_date_to
string
production_date_from
string
production_date_to
string
is_checkout_order
boolean
page
number
limit
number
sort_by
string
sort_order
string
Responses
Section titled “Responses”Media typeapplication/json
object
data
required
Array<object>
object
id
required
string
status
required
string
created_at
string
updated_at
string
account_id
required
string
total
required
number
currency_code
required
string
profile_id
string
shopify_order_id
required
string
production_date
string
delivery_date
string
fulfillment_status
required
string
shopify_order_number
number
external_order_id
string
external_order_number
string
external_source
string
is_checkout_order
required
boolean
tracking_number
string
tracking_company
string
tracking_url
string
subtotal
required
number
discount_amount
required
number
billing_date
string
order_created_at
string
profile
One of:
string
object
id
string
timezone
string
address1
string
address2
string
city
string
region
string
country
string
country_code
string
postal_code
string
created_at
string
updated_at
string
full_address
string
external_id
string
email
string
full_name
string
first_name
string
last_name
string
phone_number
string
phone_country
string
sms_consent_source
string
sms_consented_at
string
consent_source
string
consented_at
string
shopify_customer_id
string
shopify_customer_tags
Array<string>
properties
object
subscriptions
One of:
string
Array<object>
object
meta
required
object
total
Total number of items
number
per_page
Items per page
number
current_page
Current page number
number
last_page
Last page number
number
first_page
First page number
number
first_page_url
URL for first page
string
last_page_url
URL for last page
string
next_page_url
URL for next page
string
previous_page_url
URL for previous page
string
Example
{ "data": [ { "status": "PENDING", "fulfillment_status": "UNFULFILLED", "profile": { "email_status": "subscribed", "sms_status": "subscribed", "sms_opt_in_level": "single_opt_in" } } ]}